POST
Create a project (deprecated alias of /organizations/{organization_id}/projects)

Authorizations

x-api-key
string
header
required

Headers

Idempotency-Key
string

Replays the first result of a create; the same key with another body is 409.

Required string length: 1 - 255

Path Parameters

org_id
string
required

Body

application/json
name
string
required

Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.

Required string length: 1 - 64

Response

Success.

type
string
required
Allowed value: "project"
id
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$
org_id
string
required
Pattern: ^org_[a-z2-7]{26}$
name
string
required

Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.

Required string length: 1 - 64
created_at
string<date-time>
required
updated_at
string<date-time>
required